<template>
	<div>
		 <div class="boxMain">
		 	<videoPlayBox></videoPlayBox>
		 </div>
		 <div class="articleComment">
		 	<comment ref="myComment" :articleId="articleId" :isAllowedComment="isAllowedComment" :foldReply="true"/>
		 </div>
	</div>

</template>

<script>
	import {
		history
	} from '../../api/blogArticleComment.js'
	import videoPlayBox from "../mini/box15-videoPlayBox.vue"
	import comment from "../mini/box12-comment.vue"

	export default {
		components: {
			videoPlayBox,
			comment,
		},
		watch: {
			// '$route'(to, from) {
			// 	if ("mdDetail" === to.name) {
			// 		this.articleId = this.$route.query.id;
			// 		this.articleFileType = this.$route.query.articleFileType;
			// 	}
			// },
			articleId: function(newValue, oldValue) {
				if (newValue == undefined || newValue == null || newValue == "") {
					this.showMsg = true;
					this.errorMsg = "日志id参数缺失";
				} else {
					this.$nextTick(function() {
						this.$refs.myComment.updateCommentList(this.articleId);
					})
				}
			},
		},
		data() {
			return {
				articleId: "",
				isAllowedComment: false
			}
		},
		methods: {
			showVideo(param) {
				this.articleId = param.id
			},
		},
	}
</script>
<style scoped>
	a {
		color: black;
	}

	.boxMain {
		display: flex;
		justify-content: center;
		padding: 20px;
	}
</style>
